package main

import (
	"log"
	"net/http"

	"git.runcible.io/learning/bugbox"
)

type InMemoryEnclosureStore struct{}

func (i *InMemoryEnclosureStore) GetEnclosure(name string) string {
	return name
}

func main() {
	log.Println("Serving on: http://0.0.0.0:8888")
	enclosureStore := InMemoryEnclosureStore{}
	server := &bugbox.BugBoxServer{EnclosureStore: &enclosureStore}
	log.Fatal(http.ListenAndServe(":8888", server))
}
